## GoaAccount GoaAccount — Generated C code for the org.gnome.OnlineAccounts.Account D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_account_interface_info ()
guint | goa_account_override_properties ()
const gchar * | goa_account_get_provider_type ()
gchar * | goa_account_dup_provider_type ()
void | goa_account_set_provider_type ()
const gchar * | goa_account_get_provider_name ()
gchar * | goa_account_dup_provider_name ()
void | goa_account_set_provider_name ()
const gchar * | goa_account_get_provider_icon ()
gchar * | goa_account_dup_provider_icon ()
void | goa_account_set_provider_icon ()
const gchar * | goa_account_get_id ()
gchar * | goa_account_dup_id ()
void | goa_account_set_id ()
gboolean | goa_account_get_is_locked ()
void | goa_account_set_is_locked ()
gboolean | goa_account_get_is_temporary ()
void | goa_account_set_is_temporary ()
gboolean | goa_account_get_attention_needed ()
void | goa_account_set_attention_needed ()
const gchar * | goa_account_get_identity ()
gchar * | goa_account_dup_identity ()
void | goa_account_set_identity ()
const gchar * | goa_account_get_presentation_identity ()
gchar * | goa_account_dup_presentation_identity ()
void | goa_account_set_presentation_identity ()
gboolean | goa_account_get_mail_disabled ()
void | goa_account_set_mail_disabled ()
gboolean | goa_account_get_calendar_disabled ()
void | goa_account_set_calendar_disabled ()
gboolean | goa_account_get_contacts_disabled ()
void | goa_account_set_contacts_disabled ()
gboolean | goa_account_get_chat_disabled ()
void | goa_account_set_chat_disabled ()
gboolean | goa_account_get_documents_disabled ()
void | goa_account_set_documents_disabled ()
gboolean | goa_account_get_maps_disabled ()
void | goa_account_set_maps_disabled ()
gboolean | goa_account_get_music_disabled ()
void | goa_account_set_music_disabled ()
gboolean | goa_account_get_photos_disabled ()
void | goa_account_set_photos_disabled ()
gboolean | goa_account_get_printers_disabled ()
void | goa_account_set_printers_disabled ()
gboolean | goa_account_get_files_disabled ()
void | goa_account_set_files_disabled ()
gboolean | goa_account_get_ticketing_disabled ()
void | goa_account_set_ticketing_disabled ()
void | goa_account_call_ensure_credentials ()
gboolean | goa_account_call_ensure_credentials_finish ()
gboolean | goa_account_call_ensure_credentials_sync ()
void | goa_account_complete_ensure_credentials ()
void | goa_account_call_remove ()
gboolean | goa_account_call_remove_finish ()
gboolean | goa_account_call_remove_sync ()
void | goa_account_complete_remove ()
void | goa_account_proxy_new ()
GoaAccount * | goa_account_proxy_new_finish ()
GoaAccount * | goa_account_proxy_new_sync ()
void | goa_account_proxy_new_for_bus ()
GoaAccount * | goa_account_proxy_new_for_bus_finish ()
GoaAccount * | goa_account_proxy_new_for_bus_sync ()
GoaAccount * | goa_account_skeleton_new ()

## Properties

gboolean | attention-needed | Read / Write
gboolean | calendar-disabled | Read / Write
gboolean | chat-disabled | Read / Write
gboolean | contacts-disabled | Read / Write
gboolean | documents-disabled | Read / Write
gboolean | files-disabled | Read / Write
gchar * | id | Read / Write
gchar * | identity | Read / Write
gboolean | is-locked | Read / Write
gboolean | is-temporary | Read / Write
gboolean | mail-disabled | Read / Write
gboolean | maps-disabled | Read / Write
gboolean | music-disabled | Read / Write
gboolean | photos-disabled | Read / Write
gchar * | presentation-identity | Read / Write
gboolean | printers-disabled | Read / Write
gchar * | provider-icon | Read / Write
gchar * | provider-name | Read / Write
gchar * | provider-type | Read / Write
gboolean | read-later-disabled | Read / Write
gboolean | ticketing-disabled | Read / Write
gboolean | todo-disabled | Read / Write

## Signals

gboolean | handle-ensure-credentials | Run Last
gboolean | handle-remove | Run Last

## Types and Values

| GoaAccount
struct | GoaAccountIface
struct | GoaAccountProxy
struct | GoaAccountProxyClass
struct | GoaAccountSkeleton
struct | GoaAccountSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaAccount
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaAccountSkeleton
        ╰── GDBusProxy
            ╰── GoaAccountProxy

## Prerequisites

GoaAccount requires GObject.

## Implemented Interfaces

GoaAccountProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaAccount.

GoaAccountSkeleton implements GDBusInterface and GoaAccount.

## Known Implementations

GoaAccount is implemented by GoaAccountProxy and GoaAccountSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Account D-Bus interface in C.

## Functions

### goa_account_interface_info ()

    GDBusInterfaceInfo *
    goa_account_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Account D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### goa_account_override_properties ()

    guint
    goa_account_override_properties (GObjectClass *klass,
                                     guint property_id_begin);

Overrides all GObject properties in the GoaAccount interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### goa_account_get_provider_type ()

    const gchar *
    goa_account_get_provider_type (GoaAccount *object);

Gets the value of the "ProviderType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_provider_type()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_provider_type ()

    gchar *
    goa_account_dup_provider_type (GoaAccount *object);

Gets a copy of the "ProviderType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_provider_type ()

    void
    goa_account_set_provider_type (GoaAccount *object,
                                   const gchar *value);

Sets the "ProviderType" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_provider_name ()

    const gchar *
    goa_account_get_provider_name (GoaAccount *object);

Gets the value of the "ProviderName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_provider_name()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_provider_name ()

    gchar *
    goa_account_dup_provider_name (GoaAccount *object);

Gets a copy of the "ProviderName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_provider_name ()

    void
    goa_account_set_provider_name (GoaAccount *object,
                                   const gchar *value);

Sets the "ProviderName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_provider_icon ()

    const gchar *
    goa_account_get_provider_icon (GoaAccount *object);

Gets the value of the "ProviderIcon" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_provider_icon()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_provider_icon ()

    gchar *
    goa_account_dup_provider_icon (GoaAccount *object);

Gets a copy of the "ProviderIcon" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_provider_icon ()

    void
    goa_account_set_provider_icon (GoaAccount *object,
                                   const gchar *value);

Sets the "ProviderIcon" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_id ()

    const gchar *
    goa_account_get_id (GoaAccount *object);

Gets the value of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_id()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_id ()

    gchar *
    goa_account_dup_id (GoaAccount *object);

Gets a copy of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_id ()

    void
    goa_account_set_id (GoaAccount *object,
                        const gchar *value);

Sets the "Id" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_is_locked ()

    gboolean
    goa_account_get_is_locked (GoaAccount *object);

Gets the value of the "IsLocked" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.16.0

### goa_account_set_is_locked ()

    void
    goa_account_set_is_locked (GoaAccount *object,
                               gboolean value);

Sets the "IsLocked" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.16.0

### goa_account_get_is_temporary ()

    gboolean
    goa_account_get_is_temporary (GoaAccount *object);

Gets the value of the "IsTemporary" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_is_temporary ()

    void
    goa_account_set_is_temporary (GoaAccount *object,
                                  gboolean value);

Sets the "IsTemporary" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_attention_needed ()

    gboolean
    goa_account_get_attention_needed (GoaAccount *object);

Gets the value of the "AttentionNeeded" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_attention_needed ()

    void
    goa_account_set_attention_needed (GoaAccount *object,
                                      gboolean value);

Sets the "AttentionNeeded" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_identity ()

    const gchar *
    goa_account_get_identity (GoaAccount *object);

Gets the value of the "Identity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_identity()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_identity ()

    gchar *
    goa_account_dup_identity (GoaAccount *object);

Gets a copy of the "Identity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_identity ()

    void
    goa_account_set_identity (GoaAccount *object,
                              const gchar *value);

Sets the "Identity" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_presentation_identity ()

    const gchar *
    goa_account_get_presentation_identity (GoaAccount *object);

Gets the value of the "PresentationIdentity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_account_dup_presentation_identity()` if on another thread.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_account_dup_presentation_identity ()

    gchar *
    goa_account_dup_presentation_identity (GoaAccount *object);

Gets a copy of the "PresentationIdentity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_account_set_presentation_identity ()

    void
    goa_account_set_presentation_identity (GoaAccount *object,
                                           const gchar *value);

Sets the "PresentationIdentity" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_mail_disabled ()

    gboolean
    goa_account_get_mail_disabled (GoaAccount *object);

Gets the value of the "MailDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_mail_disabled ()

    void
    goa_account_set_mail_disabled (GoaAccount *object,
                                   gboolean value);

Sets the "MailDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_calendar_disabled ()

    gboolean
    goa_account_get_calendar_disabled (GoaAccount *object);

Gets the value of the "CalendarDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_calendar_disabled ()

    void
    goa_account_set_calendar_disabled (GoaAccount *object,
                                       gboolean value);

Sets the "CalendarDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_contacts_disabled ()

    gboolean
    goa_account_get_contacts_disabled (GoaAccount *object);

Gets the value of the "ContactsDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_contacts_disabled ()

    void
    goa_account_set_contacts_disabled (GoaAccount *object,
                                       gboolean value);

Sets the "ContactsDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_chat_disabled ()

    gboolean
    goa_account_get_chat_disabled (GoaAccount *object);

Gets the value of the "ChatDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_chat_disabled ()

    void
    goa_account_set_chat_disabled (GoaAccount *object,
                                   gboolean value);

Sets the "ChatDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_documents_disabled ()

    gboolean
    goa_account_get_documents_disabled (GoaAccount *object);

Gets the value of the "DocumentsDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

### goa_account_set_documents_disabled ()

    void
    goa_account_set_documents_disabled (GoaAccount *object,
                                        gboolean value);

Sets the "DocumentsDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

### goa_account_get_maps_disabled ()

    gboolean
    goa_account_get_maps_disabled (GoaAccount *object);

Gets the value of the "MapsDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.14.0

### goa_account_set_maps_disabled ()

    void
    goa_account_set_maps_disabled (GoaAccount *object,
                                   gboolean value);

Sets the "MapsDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.14.0

### goa_account_get_music_disabled ()

    gboolean
    goa_account_get_music_disabled (GoaAccount *object);

Gets the value of the "MusicDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.18.0

### goa_account_set_music_disabled ()

    void
    goa_account_set_music_disabled (GoaAccount *object,
                                    gboolean value);

Sets the "MusicDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.18.0

### goa_account_get_photos_disabled ()

    gboolean
    goa_account_get_photos_disabled (GoaAccount *object);

Gets the value of the "PhotosDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.8.0

### goa_account_set_photos_disabled ()

    void
    goa_account_set_photos_disabled (GoaAccount *object,
                                     gboolean value);

Sets the "PhotosDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.8.0

### goa_account_get_printers_disabled ()

    gboolean
    goa_account_get_printers_disabled (GoaAccount *object);

Gets the value of the "PrintersDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.12.0

### goa_account_set_printers_disabled ()

    void
    goa_account_set_printers_disabled (GoaAccount *object,
                                       gboolean value);

Sets the "PrintersDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.12.0

### goa_account_get_files_disabled ()

    gboolean
    goa_account_get_files_disabled (GoaAccount *object);

Gets the value of the "FilesDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.8.0

### goa_account_set_files_disabled ()

    void
    goa_account_set_files_disabled (GoaAccount *object,
                                    gboolean value);

Sets the "FilesDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.8.0

### goa_account_get_ticketing_disabled ()

    gboolean
    goa_account_get_ticketing_disabled (GoaAccount *object);

Gets the value of the "TicketingDisabled" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |

#### Returns

The property value.

Since: 3.6.0

### goa_account_set_ticketing_disabled ()

    void
    goa_account_set_ticketing_disabled (GoaAccount *object,
                                        gboolean value);

Sets the "TicketingDisabled" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaAccount. |
value | The value to set. |

Since: 3.6.0

### goa_account_call_ensure_credentials ()

    void
    goa_account_call_ensure_credentials (GoaAccount *proxy,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `EnsureCredentials()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_account_call_ensure_credentials_finish()` to get the result of the operation.

See `goa_account_call_ensure_credentials_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GoaAccountProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### goa_account_call_ensure_credentials_finish ()

    gboolean
    goa_account_call_ensure_credentials_finish
                                   (GoaAccount *proxy,
                                    gint *out_expires_in,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_account_call_ensure_credentials()`.

#### Parameters

proxy | A GoaAccountProxy. |
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_account_call_ensure_credentials()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### goa_account_call_ensure_credentials_sync ()

    gboolean
    goa_account_call_ensure_credentials_sync
                                   (GoaAccount *proxy,
                                    gint *out_expires_in,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnsureCredentials()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `goa_account_call_ensure_credentials()` for the asynchronous version of this method.

#### Parameters

proxy | A GoaAccountProxy. |
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### goa_account_complete_ensure_credentials ()

    void
    goa_account_complete_ensure_credentials
                                   (GoaAccount *object,
                                    GDBusMethodInvocation *invocation,
                                    gint expires_in);

Helper function used in service implementations to finish handling invocations of the `EnsureCredentials()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GoaAccount. |
invocation | A GDBusMethodInvocation. | [transfer full]
expires_in | Parameter to return. |

### goa_account_call_remove ()

    void
    goa_account_call_remove (GoaAccount *proxy,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously invokes the `Remove()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_account_call_remove_finish()` to get the result of the operation.

See `goa_account_call_remove_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GoaAccountProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### goa_account_call_remove_finish ()

    gboolean
    goa_account_call_remove_finish (GoaAccount *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_account_call_remove()`.

#### Parameters

proxy | A GoaAccountProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_account_call_remove()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### goa_account_call_remove_sync ()

    gboolean
    goa_account_call_remove_sync (GoaAccount *proxy,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously invokes the `Remove()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `goa_account_call_remove()` for the asynchronous version of this method.

#### Parameters

proxy | A GoaAccountProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### goa_account_complete_remove ()

    void
    goa_account_complete_remove (GoaAccount *object,
                                 GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Remove()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GoaAccount. |
invocation | A GDBusMethodInvocation. | [transfer full]

### goa_account_proxy_new ()

    void
    goa_account_proxy_new (GDBusConnection *connection,
                           GDBusProxyFlags flags,
                           const gchar *name,
                           const gchar *object_path,
                           GCancellable *cancellable,
                           GAsyncReadyCallback callback,
                           gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Account. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_account_proxy_new_finish()` to get the result of the operation.

See `goa_account_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_account_proxy_new_finish ()

    GoaAccount *
    goa_account_proxy_new_finish (GAsyncResult *res,
                                  GError **error);

Finishes an operation started with `goa_account_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_account_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaAccountProxy]

### goa_account_proxy_new_sync ()

    GoaAccount *
    goa_account_proxy_new_sync (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Account. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_account_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaAccountProxy]

### goa_account_proxy_new_for_bus ()

    void
    goa_account_proxy_new_for_bus (GBusType bus_type,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Like `goa_account_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_account_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_account_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_account_proxy_new_for_bus_finish ()

    GoaAccount *
    goa_account_proxy_new_for_bus_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `goa_account_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_account_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaAccountProxy]

### goa_account_proxy_new_for_bus_sync ()

    GoaAccount *
    goa_account_proxy_new_for_bus_sync (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Like `goa_account_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_account_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaAccountProxy]

### goa_account_skeleton_new ()

    GoaAccount *
    goa_account_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Account.

#### Returns

The skeleton object.

[transfer full][type GoaAccountSkeleton]

## Types and Values

### GoaAccount

    typedef struct _GoaAccount GoaAccount;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Account.

### struct GoaAccountIface

    struct GoaAccountIface {
      GTypeInterface parent_iface;

      gboolean (*handle_ensure_credentials) (
        GoaAccount *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_remove) (
        GoaAccount *object,
        GDBusMethodInvocation *invocation);

      gboolean  (*get_attention_needed) (GoaAccount *object);

      gboolean  (*get_calendar_disabled) (GoaAccount *object);

      gboolean  (*get_chat_disabled) (GoaAccount *object);

      gboolean  (*get_contacts_disabled) (GoaAccount *object);

      gboolean  (*get_documents_disabled) (GoaAccount *object);

      const gchar * (*get_id) (GoaAccount *object);

      const gchar * (*get_identity) (GoaAccount *object);

      gboolean  (*get_is_temporary) (GoaAccount *object);

      gboolean  (*get_mail_disabled) (GoaAccount *object);

      const gchar * (*get_presentation_identity) (GoaAccount *object);

      const gchar * (*get_provider_icon) (GoaAccount *object);

      const gchar * (*get_provider_name) (GoaAccount *object);

      const gchar * (*get_provider_type) (GoaAccount *object);

      gboolean  (*get_ticketing_disabled) (GoaAccount *object);

      gboolean  (*get_files_disabled) (GoaAccount *object);

      gboolean  (*get_photos_disabled) (GoaAccount *object);

      gboolean  (*get_printers_disabled) (GoaAccount *object);

      gboolean  (*get_read_later_disabled) (GoaAccount *object);

      gboolean  (*get_maps_disabled) (GoaAccount *object);

      gboolean  (*get_is_locked) (GoaAccount *object);

      gboolean  (*get_music_disabled) (GoaAccount *object);

      gboolean  (*get_todo_disabled) (GoaAccount *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Account.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_ensure_credentials` () | Handler for the “handle-ensure-credentials” signal. |
`handle_remove` () | Handler for the “handle-remove” signal. |
`get_attention_needed` () | Getter for the “attention-needed” property. |
`get_calendar_disabled` () | Getter for the “calendar-disabled” property. |
`get_chat_disabled` () | Getter for the “chat-disabled” property. |
`get_contacts_disabled` () | Getter for the “contacts-disabled” property. |
`get_documents_disabled` () | Getter for the “documents-disabled” property. |
`get_id` () | Getter for the “id” property. |
`get_identity` () | Getter for the “identity” property. |
`get_is_temporary` () | Getter for the “is-temporary” property. |
`get_mail_disabled` () | Getter for the “mail-disabled” property. |
`get_presentation_identity` () | Getter for the “presentation-identity” property. |
`get_provider_icon` () | Getter for the “provider-icon” property. |
`get_provider_name` () | Getter for the “provider-name” property. |
`get_provider_type` () | Getter for the “provider-type” property. |
`get_ticketing_disabled` () | Getter for the “ticketing-disabled” property. |
`get_files_disabled` () | Getter for the “files-disabled” property. |
`get_photos_disabled` () | Getter for the “photos-disabled” property. |
`get_printers_disabled` () | Getter for the “printers-disabled” property. |
`get_read_later_disabled` () | Getter for the “read-later-disabled” property. |
`get_maps_disabled` () | Getter for the “maps-disabled” property. |
`get_is_locked` () | Getter for the “is-locked” property. |
`get_music_disabled` () | Getter for the “music-disabled” property. |
`get_todo_disabled` () | Getter for the “todo-disabled” property. |

### struct GoaAccountProxy

    struct GoaAccountProxy;

The GoaAccountProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaAccountProxyClass

    struct GoaAccountProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaAccountProxy.

#### Members

### struct GoaAccountSkeleton

    struct GoaAccountSkeleton;

The GoaAccountSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaAccountSkeletonClass

    struct GoaAccountSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaAccountSkeleton.

#### Members

## Property Details

### The `“attention-needed”` property

      “attention-needed”         gboolean

Represents the D-Bus property "AttentionNeeded".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“calendar-disabled”` property

      “calendar-disabled”        gboolean

Represents the D-Bus property "CalendarDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“chat-disabled”` property

      “chat-disabled”            gboolean

Represents the D-Bus property "ChatDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“contacts-disabled”` property

      “contacts-disabled”        gboolean

Represents the D-Bus property "ContactsDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“documents-disabled”` property

      “documents-disabled”       gboolean

Represents the D-Bus property "DocumentsDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“files-disabled”` property

      “files-disabled”           gboolean

Represents the D-Bus property "FilesDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.8.0

### The `“id”` property

      “id”                       gchar *

Represents the D-Bus property "Id".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“identity”` property

      “identity”                 gchar *

Represents the D-Bus property "Identity".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“is-locked”` property

      “is-locked”                gboolean

Represents the D-Bus property "IsLocked".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.16.0

### The `“is-temporary”` property

      “is-temporary”             gboolean

Represents the D-Bus property "IsTemporary".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“mail-disabled”` property

      “mail-disabled”            gboolean

Represents the D-Bus property "MailDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

### The `“maps-disabled”` property

      “maps-disabled”            gboolean

Represents the D-Bus property "MapsDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.14.0

### The `“music-disabled”` property

      “music-disabled”           gboolean

Represents the D-Bus property "MusicDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.18.0

### The `“photos-disabled”` property

      “photos-disabled”          gboolean

Represents the D-Bus property "PhotosDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.8.0

### The `“presentation-identity”` property

      “presentation-identity”    gchar *

Represents the D-Bus property "PresentationIdentity".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“printers-disabled”` property

      “printers-disabled”        gboolean

Represents the D-Bus property "PrintersDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.12.0

### The `“provider-icon”` property

      “provider-icon”            gchar *

Represents the D-Bus property "ProviderIcon".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“provider-name”` property

      “provider-name”            gchar *

Represents the D-Bus property "ProviderName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“provider-type”` property

      “provider-type”            gchar *

Represents the D-Bus property "ProviderType".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaAccount

Flags: Read / Write

Default value: NULL

### The `“read-later-disabled”` property

      “read-later-disabled”      gboolean

Represents the D-Bus property "ReadLaterDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.12.0

### The `“ticketing-disabled”` property

      “ticketing-disabled”       gboolean

Represents the D-Bus property "TicketingDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.6.0

### The `“todo-disabled”` property

      “todo-disabled”            gboolean

Represents the D-Bus property "TodoDisabled".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

`GoaAccount:todo-disabled` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: GoaAccount

Flags: Read / Write

Default value: FALSE

Since: 3.26.0

## Signal Details

### The `“handle-ensure-credentials”` signal

    gboolean
    user_function (GoaAccount            *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnsureCredentials()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_account_complete_ensure_credentials()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GoaAccount. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-remove”` signal

    gboolean
    user_function (GoaAccount            *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Remove()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_account_complete_remove()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GoaAccount. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last